# Method Crypto.ECC.Curve()->ECDSA()->jose_decode()

Method jose_decode

  ``array`(`mapping`(`string(7bit)`:`string(7bit)`|`int`)|`string(8bit)`) jose_decode(`string(7bit)` `jws`)`

Description

  Verify and decode a JOSE JWS ECDSA signed value.

Parameter `jws`

  A JSON Web Signature as returned by jose_sign().

Returns

  Returns `0` (zero) on failure, and an array

  Array
  ``mapping`(`string(7bit)`:`string(7bit)`|`int`) `0`` | The JOSE header.
  ``string(8bit)` `1`` | The signed message.

See also

  pkcs_verify(), RFC 7515 section 3.5